"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "s-live-card",
  props: {
    goodsFields: {
      type: [Array, Object],
      default() {
        return {};
      }
    },
    tagStyle: {
      type: Object,
      default: {}
    },
    data: {
      type: Object,
      default: {}
    },
    size: {
      type: String,
      default: "sl"
    },
    background: {
      type: String,
      default: ""
    },
    topRadius: {
      type: Number,
      default: 0
    },
    bottomRadius: {
      type: Number,
      default: 0
    },
    titleColor: {
      type: String,
      default: "#333"
    },
    subTitleColor: {
      type: String,
      default: "#999999"
    }
  },
  emits: ["click", "getHeight"],
  setup(__props, { emit: emits }) {
    const props = __props;
    const elStyles = common_vendor.computed(() => {
      return {
        background: props.background,
        "border-top-left-radius": props.topRadius + "px",
        "border-top-right-radius": props.topRadius + "px",
        "border-bottom-left-radius": props.bottomRadius + "px",
        "border-bottom-right-radius": props.bottomRadius + "px"
      };
    });
    const state = common_vendor.reactive({
      liveStatus: {
        101: {
          img: sheep_index.sheep.$url.static("/static/img/shop/app/mplive/living.png"),
          title: "直播中"
        },
        102: {
          img: sheep_index.sheep.$url.static("/static/img/shop/app/mplive/start.png"),
          title: "未开始"
        },
        103: {
          img: sheep_index.sheep.$url.static("/static/img/shop/app/mplive/ended.png"),
          title: "已结束"
        }
      }
    });
    const onClick = () => {
      emits("click");
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: __props.size === "md"
      }, __props.size === "md" ? {
        b: state.liveStatus[__props.data.status].img,
        c: common_vendor.t(state.liveStatus[__props.data.status].title),
        d: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.data.feeds_img),
        e: common_vendor.t(__props.data.name),
        f: common_vendor.s({
          color: __props.titleColor
        }),
        g: common_vendor.t(__props.data.anchor_name),
        h: common_vendor.s({
          color: __props.subTitleColor
        }),
        i: common_vendor.s(common_vendor.unref(elStyles)),
        j: common_vendor.o(onClick)
      } : {}, {
        k: __props.size === "sl"
      }, __props.size === "sl" ? {
        l: state.liveStatus[__props.data.status].img,
        m: common_vendor.t(state.liveStatus[__props.data.status].title),
        n: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.data.feeds_img),
        o: common_vendor.t(__props.data.name),
        p: common_vendor.s({
          color: __props.titleColor
        }),
        q: common_vendor.t(__props.data.anchor_name),
        r: common_vendor.s({
          color: __props.subTitleColor
        }),
        s: common_vendor.s(common_vendor.unref(elStyles)),
        t: common_vendor.o(onClick)
      } : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e059c327"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-live-card/s-live-card.vue"]]);
wx.createComponent(Component);
